ROHTO BUGS - Bug #551

ESS Overtime validasi untuk backdate maksimal 30 hari kebelakang
11/10/2021 05:59 PM - Muhammad Bintar

Status: Closed Start date: 11/10/2021
Priority: Normal Due date: 11/12/2021
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer, mohon support nya untuk membuat validasi pada ess overtime dimana pada saat mengisi start date , maksimal
30 hari kebelakang.
History

#1 - 11/10/2021 08:28 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 11/11/2021 02:54 PM - M Azid Wahyudi

- File validasi backdate.txt added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

penambahan :
init overtime penambahan :

'fieldlname=DateFrom]": {

change: function () {

setEndPlan();

getDayType();

validasiDateFrom(); / penambahan

}
13
method overtime penambahan function :

function validasiDateFrom() {

var now = Ext.Date.format(new Date(), 'Ymd');

var body = MinovaUtil. WORKFLOW.getViewBodyWorkflow();
var StartDate = body.down('field[name=DateFrom]').getValue();
var startDateOvt = (StartDate - now);
console.log(startDateOvt);

if (startDateOvt <="-100'") {

MinovaMessagelnfo("Information”, "WFOTCEKDATEFROM", ", "");
body.down('[name=DateFrom]').setValue(");

}
nambah data di SMESSAGECATALOG :

Messageld : WFOTCEKDATEFROM
Langld : EN
Message : Overtime cannot be done 30 days before today

Messageld : WFOTCEKDATEFROM
Langld : EN
Message : Overtime tidak bisa di lakukan 30 hari sebelum hari ini

#3 - 11/11/2021 02:56 PM - M Azid Wahyudi

penambahan :
init overtime penambahan :

‘field[name=DateFrom]": {

change: function () {

setEndPlan();

getDayType();

validasiDateFrom(); // penambahan
}
method overtime penambahan function :

function validasiDateFrom() {

var now = Ext.Date.format(new Date(), 'Ymd');

var body = MinovaUtil. WORKFLOW.getViewBodyWorkflow();
var StartDate = body.down('field[name=DateFrom]').getValue();
var startDateOvt = (StartDate - now);
console.log(startDateOvt);

if (startDateOvt <="-100") {

MinovaMessagelnfo("Information”, "WFOTCEKDATEFROM", ", ");
body.down('[name=DateFrom]').setValue(");

}
nambah data di SMESSAGECATALOG :

Messageld : WFOTCEKDATEFROM
Langld : EN
Message : Overtime cannot be done 30 days before today

Messageld : WFOTCEKDATEFROM
Langld : IDN
Message : Overtime tidak bisa di lakukan 30 hari sebelum hari ini

#4 - 10/21/2024 10:39 AM - Muhammad Bintar
- Status changed from QA Test to Closed
